package com.mx.dla.dda.contrato.ws.actualizaridbroadview;

import java.io.Serializable;

/**
 * Es la representacion de los parametros para el proceso de actualizacion masiva del Id de BroadView  
 */
public class ParamActualizaIdBVDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String nombreArchivo;
	private String idContratoActual;
	private String expediente;
	
	public String getNombreArchivo() {
		return nombreArchivo;
	}
	public void setNombreArchivo(String nombreArchivo) {
		this.nombreArchivo = nombreArchivo;
	}
	public String getIdContratoActual() {
		return idContratoActual;
	}
	public void setIdContratoActual(String idContratoActual) {
		this.idContratoActual = idContratoActual;
	}
	public String getExpediente() {
		return expediente;
	}
	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" nombreArchivo: _" + this.getNombreArchivo() + "_" + NEW_LINE);
		result.append(" idContratoActual: _" + this.getIdContratoActual() + "_" + NEW_LINE);
		result.append(" expediente: _" + this.getExpediente() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}